| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | List of all members
IG.Num.VectorFunctionScriptController Class Reference

Class for building vector functions from scripts, used by GUI elements. More...

Inheritance diagram for IG.Num.VectorFunctionScriptController:
[legend]
Collaboration diagram for IG.Num.VectorFunctionScriptController:
[legend]

## Public Member Functions
| VectorFunctionScriptController ()
| Default constructor, sets IsNull to true. More...
| VectorFunctionScriptController (int numParameters, int numValues)
| Constructor, prepares the current object for storing a vector function definition of the specified dimensions. More...
override ScalarFunctionScriptController | CreateScalarrFunctionController ()
| Creates and returns a new scalar function controller. More...
Public Member Functions inherited from IG.Num.VectorFunctionScriptControllerBase< VectorFunctionType, ScalarFunctionControllerType, ScalarFunctionType >
| VectorFunctionScriptControllerBase ()
| Default constructor, sets IsNull to true. More...
| VectorFunctionScriptControllerBase (int numParameters, int numValues)
| Constructor, prepares the current DTO for storing a scalar function of the specified dimension. More...
ScalarFunctionControllerType[] | GetElements ()
| Returns an array of scalar function controllers (of type ScalarFunctionControllerType) that represent elements of the vector function. More...
void | SynchronizeData (bool syncParameterNames=false, bool syncFunctionNames=true)
| Synchronizes data on the current vector function controller in such a way that it is consistent. More...
virtual string | ConvertParameterNamesToString (params string[] parameterNames)
| Converts an array of parameter names or function names to a delimited single string that contains these names, and returns this string. More...
virtual string[] | ConvertParameterNamesToArray (string parameterNamesString)
| Converts a single string containing parameter names or function names in delimited form to an array of individual parameter names or function names, respectively, and returns this array. More...
virtual string | GetParametersString ()
| Returns function parameter names in form of delimited string that contains all function parameter names. More...
virtual void | SetParametersString (string parametersString)
| Sets function parameter names through a string containing delimided parameters names. More...
virtual string | GetFunctionsString ()
| Returns function function names in form of delimited string that contains all function function names. More...
virtual void | SetFunctionsString (string functionsString)
| Sets function names through a string containing delimided functions names. More...
virtual void | InvalidateNumParameters ()
| Invalidates dimension of function domain. All dependent data is invalidated. More...
virtual void | InvalidateParameterNames ()
| Invalidates names of parameters. This also means that function value definition and function gradient definitions are invalidated, if present. More...
virtual void | InvalidateNumValues ()
| Invalidates dimension of function domain. All dependent data is invalidated. More...
virtual void | InvalidateFunctionNames ()
| Invalidates names of parameters. This also means that function value definition and function gradient definitions are invalidated, if present. More...
virtual InputOutputDataDefiniton | GetDataDefinitionObject (bool setBoundsAndDefaults=false, IBoundingBox inputBounds=null, IBoundingBox outputBounds=null)
| Creates and returns a data definition object for input parametera and output values of the current function DTO. More...
override string | ToString ()
| Returns human readable string representation of the current object. More...
IVectorFunction | GetFunction ()
| Returns a vector function that is created from the funciton definition on the current vector function script controller. More...

## Additional Inherited Members
Static Public Member Functions inherited from IG.Num.VectorFunctionScriptControllerBase< VectorFunctionType, ScalarFunctionControllerType, ScalarFunctionType >
static string | ToString (VectorFunctionScriptControllerBase< VectorFunctionType, ScalarFunctionControllerType, ScalarFunctionType > sc)
| Returns a string representation of the specified VectorFunctionScripController object. More...
static void | SaveJson (VectorFunctionScriptController functionController, string filePath, InputOutputDataDefiniton dataDefinition)
| Saves (serializes) the specified script-based vector function controller to the specified JSON file. If the file already exists, contents either overwrites the file or is appended at the end, dependent on the value of the append flag. More...
static void | SaveJson (VectorFunctionScriptController functionController, string filePath, bool append=false, InputOutputDataDefiniton dataDefinition=null)
| Saves (serializes) the specified script-based vector function controller to the specified JSON file. If the file already exists, contents either overwrites the file or is appended at the end, dependent on the value of the append flag. More...
static void | LoadJson (string filePath, ref VectorFunctionScriptController controllerRestored)
| Restores (deserializes) a script-based scalar function controller from the specified file in JSON format. More...
static void | LoadJson (string filePath, ref VectorFunctionScriptController controllerRestored, ref VectorFunctionScriptDto dto)
| Restores (deserializes) a script-based scalar function controller from the specified file in JSON format. More...
static void | LoadJson (string filePath, ref VectorFunctionScriptController controllerRestored, ref InputOutputDataDefiniton dataDef)
| Restores (deserializes) a script-based scalar function controller from the specified file in JSON format. More...
Protected Member Functions inherited from IG.Num.VectorFunctionScriptControllerBase< VectorFunctionType, ScalarFunctionControllerType, ScalarFunctionType >
void | AddScalarFunctionController (ScalarFunctionControllerType functionController)
| Adds a new scalar function controller to the list of controllers. More...
void | Clear ()
| Clears the list of scalar functions. More...
Protected Attributes inherited from IG.Num.VectorFunctionScriptControllerBase< VectorFunctionType, ScalarFunctionControllerType, ScalarFunctionType >
string | _name
string | _parametersString
string | _functionsString
Static Protected Attributes inherited from IG.Num.VectorFunctionScriptControllerBase< VectorFunctionType, ScalarFunctionControllerType, ScalarFunctionType >
static double | _defaultLowerBound = 0.0
static double | _defaultUpperBound = 1.0
Properties inherited from IG.Num.VectorFunctionScriptControllerBase< VectorFunctionType, ScalarFunctionControllerType, ScalarFunctionType >
virtual string | Name`[get, set]`
| Scalar function name. More...
virtual string | Description`[get, set]`
| Scalar function description. More...
int | NumParameters`[get, set]`
| Number of parameters of the vector function, i.e., dimension of thefunction domain. More...
int | NumValues`[get, set]`
| Number of elements (scalar function components) of the vector function, i.e., dimension of thefunction codomain. More...
List < ScalarFunctionControllerType > | Elements`[get]`
| List of vector function elements, i.e. scalar functions that calculate individual elements of the return value. More...
ScalarFunctionControllerType | this[int which]`[get, set]`
| Gets or sets scalar function controller identified by the specified index. More...
string | ParameterNamesSeparator`[get, protected set]`
| Separator string that is used to separate parameter names or function names when stated in a single string. More...
bool | IsNamesSynchronized`[get, set]`
virtual string[] | ParameterNames`[get, set]`
| Names of function parameters. More...
virtual string[] | FunctionNames`[get, set]`
| Names of function functions. More...
IVectorFunction | Function`[get]`
| Scalar function (of type IVectorFunction) created on basis of definition in this controller. More...

## Detailed Description

Class for building vector functions from scripts, used by GUI elements.

$A Igor Feb16;

## Constructor & Destructor Documentation

IG.Num.VectorFunctionScriptController.VectorFunctionScriptController | ( |  | ) |
| inline

Default constructor, sets IsNull to true.

IG.Num.VectorFunctionScriptController.VectorFunctionScriptController | ( | int | numParameters,
|  | int | numValues
| ) |  |
| inline

Constructor, prepares the current object for storing a vector function definition of the specified dimensions.

Parameters

  numParameters | Number of parameters of the represented vector function (dimension of codomain).
  numValues | Number of returned values of the represented vector function (dimension of function domain).

## Member Function Documentation

override ScalarFunctionScriptController IG.Num.VectorFunctionScriptController.CreateScalarrFunctionController | ( |  | ) |
| inline virtual

Creates and returns a new scalar function controller.

Implements IG.Num.VectorFunctionScriptControllerBase< VectorFunctionType, ScalarFunctionControllerType, ScalarFunctionType >.

The documentation for this class was generated from the following file:

- igbase/data/serialization/dtos/VectorFunctionScriptController.cs